
import math
import random
import string

def generate_random_password(length):
    if not isinstance(length, int) or length < 8:
        raise ValueError("Password length must be an integer greater than or equal to 8.")
    
    characters = string.ascii_letters + string.digits + "!@#$%^&*()_+-="
    password = ''.join(random.choice(characters) for i in range(length))
    return password

